package net.oni2.aeinstaller.backend.depot;

import java.util.TreeSet;

import net.oni2.settingsmanager.Settings;

/**
 * @author Christian Illy
 */
public class DepotConfig {

	/**
	 * @return Type-value of nodes which contain Mods
	 */
	public static String getNodeType_Mod() {
		return "mod";
	}

	/**
	 * @return Vocabulary name for platform field
	 */
	static String getVocabularyName_Platform() {
		return "Platform";
	}

	/**
	 * @return Vocabulary name for installtype field
	 */
	static String getVocabularyName_InstallType() {
		return "Install method";
	}

	/**
	 * @return Vocabulary name for modtype field
	 */
	static String getVocabularyName_ModType() {
		return "Mod type";
	}

	/**
	 * @return Taxonomy term name for platform value Win
	 */
	public static String getTaxonomyName_Platform_Win() {
		return "Windows";
	}

	/**
	 * @return Taxonomy term name for platform value Mac
	 */
	public static String getTaxonomyName_Platform_Mac() {
		return "Mac OS";
	}

	/**
	 * @return Taxonomy term name for platform value Both
	 */
	public static String getTaxonomyName_Platform_Both() {
		return "Both";
	}

	/**
	 * @return Taxonomy term name for installtype Package
	 */
	static String getTaxonomyName_InstallType_Package() {
		return "Package";
	}

	/**
	 * @return Taxonomy term names for mods of type Tool
	 */
	public static TreeSet<String> getTaxonomyName_ModType_Tool() {
		TreeSet<String> res = new TreeSet<String>();
		res.add("Tool");
		res.add("Patch");
		return res;
	}

	/**
	 * @return First package number that's not a core tool/mod. Everything
	 *         below is considered a core package
	 */
	public static int getCoreNumberLimit() {
		return 8000;
	}

	/**
	 * @return URL of Depot
	 */
	static String getDepotUrl() {
		return Settings.getInstance().get("depot_url", "http://mods.oni2.net/");
	}

	/**
	 * @return URL of Depot API
	 */
	static String getDepotApiUrl() {
		return Settings.getInstance().get("depot_api_url",
				"http://mods.oni2.net/?q=api/");
	}
}
